Upgrading

From Group-Office Groupware and CRM Documentation
Jump to: navigation, search

General

The 6.2 changelog can be found here: https://sourceforge.net/p/group-office/code/HEAD/tree/branches/groupoffice-6.2/www/CHANGELOG.TXT

It's recommended to upgrade as frequently as possible.

Backup your data first! Follow the instructions here: Moving or backup an installation

If you are using the professional version or another licensed module make sure you download the new license files first from https://www.group-office.com/downloads and put them in /usr/share/groupoffice. This is only necessary for major upgrades. For example 6.1.x to 6.2.x.

Using the Debian/Ubuntu packages

Then change /etc/apt/sources.list:

deb http://repos.groupoffice.eu/ someversion main

into:

deb http://repos.groupoffice.eu/ sixtwo main

Then update the package info:

apt-get update

After changing to repository and updating the package list you still have to upgrade your machine, The following command will upgrade all packages you have installed that have new versions available including Group-Office.

apt-get upgrade

If you do not want to install all updates available for your machine you can only upgrade the Group-Office packages as well, this is not advised and you also need to know what packages there are installed on your system. The following command will upgrade the main Group-Office installation:

apt-get install groupoffice-com

When you are also using other Group-Office packages you will have to upgrade these as well.

If you run into an error after upgrading please try to Rebuild the search cache and run the database check at Start menu -> System tools

Manual upgrade

Download the latest package from http://sourceforge.net/projects/group-office/.

Take the following steps:

  1. Backup your database
  2. Move away your old source files.
  3. Put the new files at the right location. (including any extra modules like Billing)
  4. If exists copy your old config.php and license file to the new files. It is good practice to keep these files one directory higher then the Group-Office source so you have a complete clean code base.
  5. Launch Group-Office in your browser and it will perform a system upgrade.
  6. If z-push is installed you'll need to upgrade it manually as described at the ActiveSync page.

Version specific notes

Version 6.2

Z-Push 2.3 is supported now. When you upgrade z-push 2.2 to 2.3 you need to run a command to update the states directory too.

When you use our modules/sync/z-push/install.sh script this is done automatically.

Read more about this here https://wiki.z-hub.io/display/ZP/Upgrade+to+Z-Push+2.3

Server Manager

If you run the server manager you need to run this once after the 6.1 to 6.2 upgrade:

/usr/share/groupoffice/groupofficecli.php -r=servermanager/installation/zpushfixstates

Version 6.1

Projects

The projects module has been dropped. We replaced it completely with projectsv2. If you use the projects module then make sure you test version 6.1 first. It's recommended not to install projects2 in version 5 if you haven't done that already. Install projects2 in v6.1 after the upgrade.


Backup manager

The backup manager was dropped. You can alternatively use a script or some other solution to backup the files and mysql. A script can be found here:

http://groupoffice.blogspot.com/2014/01/backup-script-for-our-web-and-mysql.html

Debian package changes

The "groupoffice-pro", "groupoffice-billing" and "groupoffice-documents" debian packages are deprecated now. All modules including the licensed modules are available in the groupoffice-com package. You still need a license to activate the pro modules. Before uprading to v6.1 you need to remove these deprecated packages:

apt-get remove groupoffice-pro groupoffice-billing groupoffice-documents

Because the dependencies of the groupoffice-com package have been changed it's necessary to use dist-upgrade:

apt-get dist-upgrade

or specify the package(s) (groupoffice-mailserver and groupoffice-servermanager are optional):

apt-get install groupoffice-com [groupoffice-mailserver] [groupoffice-servermanager]

Version 5.X

Group-Office 5.0 comes with a new theme. The users will automatically be switched to this new theme but the default setting won't. If you want the login screen to be in the new theme you'll need to change $config['theme']='Group-Office'; in config.php

Version 4.x

To upgrade to 4.x. Your Group-Office version must be at least 3.7.41. If you have an older version, upgrade to the latest 3.7 version first.

Redundant and dropped modules

  1. mailings: can be removed from disk and uninstalled in Group-Office. This functionality is in the address book module now.
  2. blacklist: Has not been implemented yet.
  3. emailportlet: Standard functionality of the e-mail module now.
  4. cms: Dropped.

The following modules will be available for download but are no longer officially supported by Intermesh because they rely on 3rd party code:

  1. PhpBB3
  2. Mediawiki
  3. DokuWiki

SMTP with TLS

For some reason, TLS encryption has changed in the Swift Mailer component. If you get timeouts on the SMTP connection, try to switch TLS to SSL. If this works and you want to change all accounts you can run the following SQL:

UPDATE em_accounts SET smtp_encryption='ssl' WHERE smtp_encryption='tls' AND smtp_host='yourserver';

Ubuntu 12.04

Ubuntu 12.04 comes with dovecot 2.0. The dovecot configuration has changed a lot. The easiest solution is to completely remove dovecot with it's configuration files:

sudo apt-get purge dovecot-core

This will remove groupoffice-mailserver and some other related packages too. Reinstall them afterwards:

sudo apt-get install groupoffice-mailserver dovecot-mysql dovecot-sieve dovecot-managesieved

SyncML

If you use syncml for funambol or synthesis clients. You must install the SyncML module after upgrading. Additionally you must change the sync URL and datastores. For more info see Synchronization client or device setup.

You must do a full restore of the items from Group-Office to outlook. Otherwise you will get duplicates.

Z-push

If z-push is installed you'll need to upgrade it manually as described at the ActiveSync page.

Billing

In 3.7 the billing module was in the pro package. We have a separate billing package now so if you use that you must run "apt-get install groupoffice-billing" too.

LDAP Authentication

If you use LDAP auth. You must change the following in your mapping:

change:

new ldap_mapping_type('function','some_function')

into:

new GO_Ldapauth_Mapping_Function('some_function')

Also be aware that the parameter is no array but a GO_Base_Ldap_Record object.

and:

new ldap_mapping_type('constant','1')

into:

new GO_Ldapauth_Mapping_Constant('1')

IMAP Authentication

We have removed some parameters from the imapauth.config.php file.

The following parameters are removed (They are not used by Group-Office anymore):

'visible_groups' => array('Everyone', 'Internal'),
'modules_read' => array('email', 'files', 'addressbook', 'calendar', 'tasks', 'notes', 'summary'),
'modules_write' => array()

To give a new imapauth user the correct rights you need to add them to a group and set the correct rights on that group.

So you first need to create a group and set up the correct rights for it. (For example, create the group "imapauthuser").

Then you need to set the following parameter in the imapauth.config.php file:

'groups' => array('imapauthuser')

Ticket permissions

Ticket permissions have been changed. In 3.7 you were a ticket admin if you had manage permissions for the tickets module. On the upgrade the manage permissions will be downgraded. Because now you can be an administrator per ticket type. You need manage permissions on the types to be an agent. You can change those permissions at Administration -> Types -> Double click type -> Permissions